(function ($, Drupal) {
  "use strict";
  //Drupal behaviours
  Drupal.behaviors.video_toolbox = {
    attach: function (context, settings) {
      // Only execute code once. Without this wrapping function it would execute
      // as many times as called.
      $('main', context).once('video_toolbox').each(function () {

        // Give CSS.
        $('.video-frame').css('background', '#262e33')
        $('.video-inner').css('width', '30%')
        $('.video-controls').click(function (e) {
          // Stops Forms from being sent.
          e.preventDefault();
        });
        $('.fa-pause').css('display', 'none');

        // Change the preview styles when picking a color.
        $('#edit-default-control-color-0').on('change', function () {
            $('.video-controls').css('background', 'none');
        })
        $('#edit-default-control-color-1').on('change', function () {
          $('.video-controls').css('background', $('#edit-control-color').val());
        })
        $('#edit-control-color').on('change', function () {
          $('.video-controls').css('background', $(this).val());
        })
        $('#edit-bar-color').on('change', function () {
          $('.video-bar').css('background', $(this).val());
        })
        $('#edit-progress-color').on('change', function () {
          $('.video-inner').css('background', $(this).val());
          $('.video-timeline').css('border-color', $(this).val());
        })
        $('#edit-button-color').on('change', function () {
          $('.video-player .video-controls button').css('color', $(this).val());
        })

        // Add the configured color to the Video Player elements
        $('.video-controls').css('background', settings.videoToolBox.control_color);
        $('.video-bar').css('background', settings.videoToolBox.bar_color);
        $('.video-inner').css('background', settings.videoToolBox.progress_color);
        $('.video-timeline').css('border-color', settings.videoToolBox.progress_color);
        $('.video-player .video-controls button').css('color', settings.videoToolBox.button_color);

      });
    }
  };
})(jQuery, Drupal);
